[grid] Gedit, Nautilus will not snap/semi-maximize with the mouse

Bug #1048855 reported by Adam Bruce on 2012-09-10
160
This bug affects 32 people
Affects Status Importance Assigned to Milestone
Compiz
Medium
Sami Jaktholm
0.9.8
Medium
Sami Jaktholm
compiz (Ubuntu)
Medium
Sami Jaktholm
Quantal
Undecided
Timo Jyrinki

Bug Description

[Impact]

Incorrect grid plugin behavior.

[Test Case]

Try 'snapping' gedit to the edges of the screen, or maximizing by pressing against top.

[Regression Potential]

Grid plugin behavior in general.

---

gedit will not 'snap' the edges of the screen and will not maximise when pressed against the top.

All my other applications use the 'snap' feature.

I wasn't too sure where to report this, but I thought the 'snap' feature was a compiz plugin?

gedit version 3.5.1

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: compiz 1:0.9.8.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
Uname: Linux 3.2.0-30-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.5.1-0ubuntu7
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Mon Sep 10 23:58:20 2012
DistUpgraded: 2012-09-09 18:02:50,945 DEBUG enabling apt cron job
DistroCodename: quantal
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0446]
 NVIDIA Corporation GF108 [GeForce GT 540M] [10de:0df5] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0446]
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
MachineType: Dell Inc. Dell System XPS 15Z
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-30-generic root=UUID=8cbeb04f-1a4c-49fd-8871-cbe4bffde27e ro acpi=noirq quiet splash vt.handoff=7
SourcePackage: compiz
UpgradeStatus: Upgraded to quantal on 2012-09-09 (1 days ago)
dmi.bios.date: 07/27/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.name: 060G42
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd07/27/2011:svnDellInc.:pnDellSystemXPS15Z:pvr:rvnDellInc.:rn060G42:rvrA00:cvnDellInc.:ct8:cvr0.1:
dmi.product.name: Dell System XPS 15Z
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.8.0-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.39-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0~git20120903.e1673d20.is.git20120821.c1114c61-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0~git20120903.e1673d20.is.git20120821.c1114c61-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.0-0ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.99.99~git20120713.6ef1ad6a-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.6-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.1-4~ubuntu1

Related branches

description: updated
Changed in compiz:
importance: Undecided → Low
Changed in compiz (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Changed in compiz:
assignee: nobody → sampo555 (sampo555)
status: New → In Progress
milestone: none → 0.9.9.0
summary: - gedit window does not 'snap' to the edges
+ [grid] Gedit, Nautilus will not snap/semi-maximize with the mouse
Changed in compiz:
status: In Progress → Fix Committed

I suspect this issue also affects Empathy. Is there anything I can do to confirm this?

bwat47 (bwat47) wrote :

@jon, it effects empathy for me too so I think you are right.

Changed in compiz:
importance: Low → Medium
Changed in compiz (Ubuntu):
importance: Low → Medium
Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3437, scheduled for release in Compiz 0.9.9.0
Fix committed into lp:compiz/0.9.8 at revision 3414, scheduled for release in Compiz 0.9.8.6

Changed in compiz (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → sampo555 (sampo555)
Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package compiz - 1:0.9.9~daily12.12.05-0ubuntu1

---------------
compiz (1:0.9.9~daily12.12.05-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * debian/control:
    - Update Vcs-Bzr
  * debian/patches/100_expo_layout.patch:
    - Fix to apply
  * Automatic snapshot from revision 3451 (bootstrap)
    - Fix crash from writing to static memory (LP: #1065814)
    - Fix maximized windows changing workspaces (LP: #1071791)
    - Respect Zoom Factor setting (LP: #1066187)
    - Respect Show Window Title setting (LP: #1009999)
    - Restore text background transparency (LP: #1042132)
    - Restore screenshot selection rectangle transparency (LP: #1047788)
    - Restore top and bottom cube transparency (LP: #1048272)
    - Fix scaleaddon window highlighting being solid (LP #1068503)
    - Make resize hint overlay disappear when changing edges (LP: #839602)
    - Preserve grid IDs during drag (LP: #1067812, LP: #1048855)
    - Save current display before doing snap preview (LP: #1068173)
    - Ignore inactive keybindings (LP: #1053280)
    - Handle <primary> in keyboard shortcuts (LP: #936840)
    - Make sure showdesktop plugin is loaded after unityshell (LP: #1067534)
    - Fix grid build failure (LP: #1067577)
    - Fix Jenkins test failures (LP: #1058577)
    - Don't allow duplicate static symbols when linking (LP: #1067964)
    - Make external templates C++0x compatible (LP: #1067598)
    - Make sure to initialize class members (LP: #1033877)
    - Don't duplicate templates in plugins (LP: #1066793, LP: #1066803,
      LP: #1066804, LP: #1066805, LP: #1066799, LP: #1066796,
      LP: #1066795, LP: #1066798, LP: #1067218, LP: #1067219)
    - Don't needlessly set gsettings keys (LP: #1064791)
    - Remove unused code (LP: #1037142, LP: #1067234)
    - Fix syntax highlighting for trunk xml files (LP: #1066823)
    - Fix documentation for building with python2 (LP: #1070211)

  [ Stephen M. Webb ]
  * Windows open below panel and launcher, grid does not work at all,
    window animations missing, and general plugin chaos if built on
    raring (cmake >= 2.8.10) (LP: #1085581)

  [ Iven Hsu ]
  * KDE Appmenu doesn't work with compiz decorators (LP: #1082265)
  * compiz 0.9.8.6 fails to build from source in KDE4-window-decorator
    with latest KDE 4.10 beta (LP: #1082152)
  * kde4-window-decorator crashes when starting up with oxygen theme
    (LP: #1050776)

  [ sampo555 ]
  * Grid: Window management - resize preview does not show when moving a
    window from the semi-maximised state to the maximised state in a
    single action (LP: #1071689)

  [ Timo Jyrinki ]
  * HTML5 video in Firefox continues to tear (LP: #1086337)

  [ MC Return ]
  * Workspacenames Plug-in: Wishlist: Default Appearance values not
    ideal (LP: #1075600)
  * Resizeinfo Plug-in: No possibility to change the color and
    transparency of the rounded background outline (LP: #1070297)
  * Resizeinfo Plug-in: Gradient color 2 and 3 settings are ignored and
    no background gradient is rendered (LP: #1070233)
  * Expo animations "Fade + Zoom" & "Vortex" result in a black screen
    (LP: #875311)
  * Workspacenames Plug-in: Wishlist: No default values...

Read more...

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
description: updated
Changed in compiz (Ubuntu Quantal):
status: New → In Progress
assignee: nobody → Timo Jyrinki (timo-jyrinki)

Hello Adam, or anyone else affected,

Accepted compiz into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.8.6-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Michael Terry (mterry) wrote :

I can confirm that after updating compiz, gedit went from no snapping to proper snapping.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.8.6-0ubuntu1

---------------
compiz (1:0.9.8.6-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Enable Unredirect Fullscreen Windows by default. It seems to be
      stable enough with all the major graphics drivers now, as at Ubuntu
      12.10 (with updates). (LP: #1063690)
    - Grid: Reset the currently handled window in the GridWindow
      destructor only if the destroyed window was the handled one.
      (LP: #1048855) (LP: #1067812)
    - Grid: Set GridWindow->lastTarget to GridMaximize only if the
      window was fully maximized. (LP: #1071689)
  * Cherry-pick related fixes from upstream:
    - Fixed: unredirected fullscreen windows sliding offscreen were
      staying unredirected (always visible), because compiz thought
      they were fullscreen on a different monitor. Add extra smarts
      to tell the difference between fullscreen and offscreen.
      (LP: #1084401)
    - Add an option to specify which windows are allowed to be unredirected
      when they are fullscreen. Default: Allow unredirection on all window
      types except common video players: Totem, MPlayer, Vlc or Plugin-
      container (Flash or other nested browser windows). (LP: #1051802)
    - Add Firefox to the unredirect exceptions. (LP: #1086337)
 -- Timo Jyrinki <email address hidden> Tue, 04 Dec 2012 12:41:40 +0200

Changed in compiz (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
Download full text (4.2 KiB)

I just answered another question that popped up high in a google query:
http://askubuntu.com/a/402310/40612

Thanks for your interest!

On Thu, Jan 24, 2013 at 12:55 PM, Daniel van Vugt <
<email address hidden>> wrote:

> ** Changed in: compiz
> Status: Fix Committed => Fix Released
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1063871).
> https://bugs.launchpad.net/bugs/1048855
>
> Title:
> [grid] Gedit, Nautilus will not snap/semi-maximize with the mouse
>
> Status in Compiz:
> Fix Released
> Status in Compiz 0.9.8 series:
> Fix Released
> Status in “compiz” package in Ubuntu:
> Fix Released
> Status in “compiz” source package in Quantal:
> Fix Released
>
> Bug description:
> [Impact]
>
> Incorrect grid plugin behavior.
>
> [Test Case]
>
> Try 'snapping' gedit to the edges of the screen, or maximizing by
> pressing against top.
>
> [Regression Potential]
>
> Grid plugin behavior in general.
>
> ---
>
> gedit will not 'snap' the edges of the screen and will not maximise
> when pressed against the top.
>
> All my other applications use the 'snap' feature.
>
> I wasn't too sure where to report this, but I thought the 'snap'
> feature was a compiz plugin?
>
> gedit version 3.5.1
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: compiz 1:0.9.8.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
> Uname: Linux 3.2.0-30-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 2.5.1-0ubuntu7
> Architecture: amd64
> CompizPlugins:
> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
> CompositorRunning: compiz
> Date: Mon Sep 10 23:58:20 2012
> DistUpgraded: 2012-09-09 18:02:50,945 DEBUG enabling apt cron job
> DistroCodename: quantal
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation 2nd Generation Core Processor Family Integrated
> Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:0446]
> NVIDIA Corporation GF108 [GeForce GT 540M] [10de:0df5] (rev a1)
> (prog-if 00 [VGA controller])
> Subsystem: Dell Device [1028:0446]
> InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64
> (20120823.1)
> MachineType: Dell Inc. Dell System XPS 15Z
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=en_GB:en
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-30-generic
> root=UUID=8cbeb04f-1a4c-49fd-8871-cbe4bffde27e ro acpi=noirq quiet splash
> vt.handoff=7
> SourcePackage: compiz
> UpgradeStatus: Upgraded to quantal on 2012-09-09 (1 days ago)
> dmi.bios.date: 07/27/2011
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A04
> dmi.board.name: 060G42
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.chassis.version: 0.1
> dmi.modalias:
> dmi:bvnDellInc.:bvrA04:bd07/...

Read more...

Kris (kristian-holsheimer) wrote :
Download full text (4.5 KiB)

Sorry for spamming.. was meant for someone else.

On Wed, Jan 8, 2014 at 5:39 PM, Kristian Holsheimer <
<email address hidden>> wrote:

> I just answered another question that popped up high in a google query:
> http://askubuntu.com/a/402310/40612
>
> Thanks for your interest!
>
>
> On Thu, Jan 24, 2013 at 12:55 PM, Daniel van Vugt <
> <email address hidden>> wrote:
>
>> ** Changed in: compiz
>> Status: Fix Committed => Fix Released
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1063871).
>> https://bugs.launchpad.net/bugs/1048855
>>
>> Title:
>> [grid] Gedit, Nautilus will not snap/semi-maximize with the mouse
>>
>> Status in Compiz:
>> Fix Released
>> Status in Compiz 0.9.8 series:
>> Fix Released
>> Status in “compiz” package in Ubuntu:
>> Fix Released
>> Status in “compiz” source package in Quantal:
>> Fix Released
>>
>> Bug description:
>> [Impact]
>>
>> Incorrect grid plugin behavior.
>>
>> [Test Case]
>>
>> Try 'snapping' gedit to the edges of the screen, or maximizing by
>> pressing against top.
>>
>> [Regression Potential]
>>
>> Grid plugin behavior in general.
>>
>> ---
>>
>> gedit will not 'snap' the edges of the screen and will not maximise
>> when pressed against the top.
>>
>> All my other applications use the 'snap' feature.
>>
>> I wasn't too sure where to report this, but I thought the 'snap'
>> feature was a compiz plugin?
>>
>> gedit version 3.5.1
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 12.10
>> Package: compiz 1:0.9.8.0-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
>> Uname: Linux 3.2.0-30-generic x86_64
>> .tmp.unity.support.test.0:
>>
>> ApportVersion: 2.5.1-0ubuntu7
>> Architecture: amd64
>> CompizPlugins:
>> [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
>> CompositorRunning: compiz
>> Date: Mon Sep 10 23:58:20 2012
>> DistUpgraded: 2012-09-09 18:02:50,945 DEBUG enabling apt cron job
>> DistroCodename: quantal
>> DistroVariant: ubuntu
>> GraphicsCard:
>> Intel Corporation 2nd Generation Core Processor Family Integrated
>> Graphics Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
>> Subsystem: Dell Device [1028:0446]
>> NVIDIA Corporation GF108 [GeForce GT 540M] [10de:0df5] (rev a1)
>> (prog-if 00 [VGA controller])
>> Subsystem: Dell Device [1028:0446]
>> InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release
>> amd64 (20120823.1)
>> MachineType: Dell Inc. Dell System XPS 15Z
>> PackageArchitecture: all
>> ProcEnviron:
>> LANGUAGE=en_GB:en
>> TERM=xterm
>> PATH=(custom, no user)
>> LANG=en_GB.UTF-8
>> SHELL=/bin/bash
>> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-30-generic
>> root=UUID=8cbeb04f-1a4c-49fd-8871-cbe4bffde27e ro acpi=noirq quiet splash
>> vt.handoff=7
>> SourcePackage: compiz
>> UpgradeStatus: Upgraded to quantal on 2012-09-09 (1 days ago)
>> dmi.bios.date: 07/27/2011
>> dmi.bios.vendor: Dell Inc.
>> ...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers